---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# createRemark

This method will allow to add SSRs for specific booking

## Request parameters

| Parameter           | Type     | Description                                             |
| :------------------ | :------- | :------------------------------------------------------ |
| bookingconfirmation | String\* | booking confirmation token from confirmBooking response |
| pnrremark           | String\* | PNR text to add in the booking                          |

> ❗️ \* Mandatory parameters

## Response

success key will be true of all SSRs that were sent returned a true result, False otherwise

| Parameter | Type    | Description                                               |
| :-------- | :------ | :-------------------------------------------------------- |
| success   | Boolean | True if the SSR was added without errors, False otherwise |

<br />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/createRemark": {
      "post": {
        "summary": "Copy of createSSR",
        "description": "This method will allow to add SSRs for specific booking",
        "operationId": "post_createSSR-1",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "bookingconfirmation": "39912d70-0500-45db-a285-a15f6e7xxxx",
                        "remark": "PNR Remark"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": {
                      "aerocrs": {
                        "success": true
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "details": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "ssrItem": {
                                "type": "object",
                                "properties": {
                                  "firstname": {
                                    "type": "string",
                                    "example": "John"
                                  },
                                  "lastname": {
                                    "type": "string",
                                    "example": "Smith"
                                  },
                                  "paxtitle": {
                                    "type": "string",
                                    "example": "Mr."
                                  },
                                  "code": {
                                    "type": "string",
                                    "example": "WCHR"
                                  },
                                  "bookingid": {
                                    "type": "integer",
                                    "example": 33539691,
                                    "default": 0
                                  },
                                  "flights": {
                                    "type": "object",
                                    "properties": {
                                      "flightid": {
                                        "type": "array",
                                        "items": {
                                          "type": "integer",
                                          "example": 19309873,
                                          "default": 0
                                        }
                                      }
                                    }
                                  }
                                }
                              },
                              "success": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {}
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {}
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```